%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2
%define major 5

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtquickcontrols2 %mklibname qt5labstemplates %qtmajor
%define libqtquickcontrols2_d %mklibname qt5labstemplates -d

%define libqtquicktemplates2 %mklibname qt5quicktemplates %qtmajor
%define libqtquicktemplates2_d %mklibname qt5quicktemplates -d

%if %snapshot
%define qttarballdir qtquickcontrols2-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtquickcontrols2-everywhere-src-%{qtversion}
%endif

Name: qtquickcontrols25
Version: 5.11.2
Release: %mkrel 1
Summary: Qt5 - module with set of QtQuick controls
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: pkgconfig(Qt5Quick) >= %version

Provides:      qtquickcontrols2 = %version-%release

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt Quick Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

%files
%_qt5_qml/Qt/labs/calendar
%_qt5_qml/QtQuick/Controls.2
%_qt5_qml/Qt/labs/platform
%_qt5_qml/QtQuick/Templates.2
%_qt5_examplesdir/quickcontrols2

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtQuickControls2%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickControls25 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlabscontrols.qch
%{_qt5_docdir}/qtlabscontrols/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtquickcontrols2}
Qt%{qtmajor} Component Library.

%files -n %{libqtquickcontrols2}
%{_qt5_libdir}/libQt5QuickControls2.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtquicktemplates2}
Qt%{qtmajor} Component Library.

%files -n %{libqtquicktemplates2}
%{_qt5_libdir}/libQt5QuickTemplates2.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2_d}
Summary: Devel files needed to build apps based on QtEnginio
Group:    Development/KDE and Qt
Requires: %{libqtquickcontrols2} = %version
Provides: libqtquickcontrols25-devel = %version
Provides: libqt5enginio-devel = %version
Provides: qtquickcontrols25-devel = %version
Provides: qt5enginio-devel = %version

%description -n %{libqtquickcontrols2_d}
Devel files needed to build apps based on QtEnginio.

%files -n %{libqtquickcontrols2_d}
%{_qt5_datadir}/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/cmake/Qt5QuickControls2/
%{_qt5_libdir}/pkgconfig/Qt5QuickControls2.pc
%{_qt5_includedir}/QtQuickControls2

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2_d}
Summary: Devel files needed to build apps based on QtEnginio
Group:    Development/KDE and Qt
Requires: %{libqtquickcontrols2} = %version
Provides: libqtquicktemplates5-devel = %version
Provides: qtquicktemplates5-devel = %version

%description -n %{libqtquicktemplates2_d}
Devel files needed to build apps based on QtEnginio.

%files -n %{libqtquicktemplates2_d}
%{_qt5_datadir}/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_includedir}/QtQuickTemplates2/
%{_qt5_libdir}/libQt5QuickTemplates2.prl

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols2-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

find %{buildroot} -name '*.la' -delete


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
